Package org.eclipse.net4j.util.concurrent

# Class Timeouter

java.lang.Object
org.eclipse.net4j.util.concurrent.Timeouter

public abstract class Timeouter extends Object

Since:
  2.0
Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`Timeouter(Timer timer, long timeout)`

## Method Summary

Modifier and Type
Method
Description
`void`
`dispose()`
`long`
`getTimeout()`
`protected abstract void`
`handleTimeout(long untouched)`
`protected boolean`
`isDisposed()`
`void`
`setTimeout(long timeout)`
`void`
`touch()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Timeouter

public Timeouter(Timer timer, long timeout)

## Method Details

### getTimeout

public long getTimeout()

### setTimeout

public void setTimeout(long timeout)

### touch

public void touch()

### dispose

public void dispose()

### isDisposed

protected boolean isDisposed()

### handleTimeout

protected abstract void handleTimeout(long untouched)